aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCameron Banta <cbanta@gmail.com>2009-03-12 21:31:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-13 23:21:19 +0000
commit9230c7caaaf31dd7ac47eaa8c54eedf7062d290c (patch)
tree4c982009f5ac2c545def3cad8e86d7bab6dc8eba
parentf020cd1ddef8b26f97bcc0b76dbf4b21c3df7f9d (diff)
downloadaports-9230c7caaaf31dd7ac47eaa8c54eedf7062d290c.tar.gz
aports-9230c7caaaf31dd7ac47eaa8c54eedf7062d290c.tar.bz2
aports-9230c7caaaf31dd7ac47eaa8c54eedf7062d290c.tar.xz
Initial commit
-rw-r--r--extra/less/APKBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/extra/less/APKBUILD b/extra/less/APKBUILD
new file mode 100644
index 0000000000..8b810b44fe
--- /dev/null
+++ b/extra/less/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Cameron Banta <cbanta@gmail.com>
+# Maintainer: Cameron Banta <cbanta@gmail.com>
+pkgname=less
+pkgver=418
+pkgrel=0
+pkgdesc="File pager"
+url="http://www.greenwoodsoftware.com/less/"
+license="GPL"
+depends="uclibc ncurses"
+makedepends="ncurses-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://www.greenwoodsoftware.com/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="b5864d76c54ddf4627fd57ab333c88b4 less-418.tar.gz"